package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Subscription_typeRepository;
import com.realnet.basicp1.Entity.Subscription_type
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class Subscription_typeService {
@Autowired
private Subscription_typeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Subscription_type Savedata(Subscription_type data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Subscription_type save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Subscription_type> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Subscription_type> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Subscription_type> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Subscription_type getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Subscription_type update(Subscription_type data,Integer id) {
	Subscription_type old = Repository.findById(id).get();
old.setType(data.getType());

final Subscription_type test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
